package org.anc.tool.ui;

import org.anc.tool.ui.swing.Panel;

public class UserInterface implements IUserInterface
{
   private String title;
   private Object panel;
   private ProcessorFactory factory;
   
   public UserInterface(String title, Panel panel, ProcessorFactory factory)
   {
      super();
      this.title = title;
      this.panel = panel;
      this.factory = factory;
      panel.setUserInterface(this);
   }

   public String getTitle()
   {
      return title;
   }

   public Object getPanel()
   {
      return panel;
   }

   public ProcessorFactory getFactory()
   {
      return factory;
   }

}
