package org.anc.tool.ui;

/**
 * An abstract user interface component that returns a value.
 * <p>
 * The only thing that all user interface components
 * have in common is that they allow the user to select
 * a value of some kind. The type of value returned will
 * depend on the type of user interface component.
 * 
 * @author Keith Suderman
 *
 */
public interface IComponent
{
   Object getValue();
}
